<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    <title>{% block pageTitle %}LeAn®{% if pageTitle is defined %} - {{ pageTitle }}{% endif %}{% endblock %}</title>
</head>
<body>
{% set operatorAccount = get_operator_account() %}
<div class="wrapper d-flex flex-column min-vh-100 bg-light">
    <header class="header header-sticky">
        <div class="container-fluid">
            <button id="app_toggle_sidebar_button" class="btn d-flex align-items-center me-2" aria-expanded="false" aria-label="Toggle navigation">
                <i class="material-icons-outlined" style="font-size: 2rem">menu</i>
            </button>
            <a href="{{ path('dashboard') }}" class="header-brand"><img src="{{ asset('build/images/lean-word.svg') }}" alt="LeAn®"></a>
            {% if operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().getLogoImage() != null %}
                <img src="{{ path('public_file', {'fileUuid': operatorAccount.getAccountConfiguration().getLogoImage().getFile().getUuid()}) }}" class="account-image d-none d-md-block" alt="{{ operatorAccount.getName() }}">
            {% endif %}
            <ul class="header-nav ms-auto">
                {% if
                    is_granted('ROLE_ACCOUNT_ADMIN')
                    or is_granted('ROLE_USER')
                    or is_granted('ROLE_PROPERTY_FEEDER')
                    or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER')
                    or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER')
                    or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER')
                    or is_granted('ROLE_VIEWER')
                    or is_granted('ROLE_RESTRICTED_VIEWER')
                %}
                    <li class="nav-item d-flex align-items-center me-0 me-lg-1">
                        {% set amountOfUnreadNotifications = count_unread_notifications(app.user) %}

                        {% if amountOfUnreadNotifications > 99 %}
                            {%  set amountOfUnreadNotifications = '99+' %}
                        {% endif %}
                        <div class="unread-notification-badge">{{ amountOfUnreadNotifications }}</div>
                        <a href="#" data-coreui-toggle="dropdown" aria-expanded="false" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-primary position-relative">
                            <div class="mdc-icon-button__ripple"></div>
                            <i class="material-icons">notifications</i>
                        </a>
                        <ul class="dropdown-menu mdc-list--two-line" aria-labelledby="notificationMenuLink">
                            <div class="text-primary align-self-center notification-dropdown-title ps-3 pe-3">
                                {% if amountOfUnreadNotifications == 0 %}
                                    Keine ungelesenen Benachrichtigungen
                                {% elseif amountOfUnreadNotifications == 1 %}
                                    {{ amountOfUnreadNotifications }} ungelesene Benachrichtigung
                                {% else %}
                                    {{ amountOfUnreadNotifications }} ungelesene Benachrichtigungen
                                {% endif %}
                            </div>
                            {% for notification in fetch_unread_notifications(app.user, 5) %}
                                <li role="separator" class="mdc-list-divider"></li>
                                <li class="mdc-list">
                                    <a title="zum {{ notification.getMessage().getRelatedObjectName() }}" href="{{ path(notification.getMessage().getRouteName(), notification.getMessage().getRouteParameters()) }}" class="dropdown-item d-flex">
                                        <span class="mdc-list-item__ripple"></span>
                                        <span class="mdc-list-item__text notification-dropdown-list">
                                            <span class="notification-date">{{ notification.getCreatedAt().format('d.m.Y') }}</span><br>
                                            <span class="mdc-list-item__primary-text notification-dropdown-text" >{{ notification.getMessage().getRelatedObjectName() }} - {{ notification.getMessage().getObjectDescription() }}</span>
                                            <span class="mdc-list-item__secondary-text notification-dropdown-text">{{ notification.getNotificationType().getName() }}</span>
                                        </span>
                                        <span class="mdc-list-item__meta notifications-arrow">
                                            <i class="material-icons" aria-hidden="true">chevron_right</i>
                                        </span>
                                    </a>
                                </li>
                            {% endfor %}
                            <li role="separator" class="mdc-list-divider"></li>
                            <li class="p-3 pb-1">
                                <p class="text-center mb-1">
                                    <a href="{{ path('notification_overview') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto">ALLE ZEIGEN</a>
                                </p>
                            </li>
                        </ul>
                    </li>
                {% endif %}
                <li class="nav-item d-flex align-items-center me-0 me-lg-1">
                    <a href="#" data-coreui-toggle="dropdown" aria-expanded="false" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon {% if activeNavItem is defined and activeNavItem == 'help' %}text-secondary{% else %}text-primary{% endif %} position-relative">
                        <div class="mdc-icon-button__ripple"></div>
                        <i class="material-icons">help_outline</i>
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="helpMenuLink">
                        {% if is_granted('ROLE_PROPERTY_SEEKER') %}
                            <li><a href="{{ path('help_faq_property_seeker') }}" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">quiz</i>FAQ für Suchende</a></li>
                        {% endif %}
                        {% if is_granted('ROLE_PROPERTY_PROVIDER') %}
                            <li><a href="{{ path('help_faq_property_provider') }}" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">quiz</i>FAQ für Anbietende</a></li>
                        {% endif %}
                        {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') or is_granted('ROLE_CONFIGURATOR') %}
                            <li><a href="https://www.ifhkoeln.de/stadtlabore-deutschland/videokurs/" target="_blank" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">video_library</i>Videokurs</a></li>
                        {% endif %}
                        <li><a href="{{ path('help_customer_care_support_request') }}" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">call</i>Kundenservice</a></li>
                    </ul>
                </li>

                {% if is_granted('ROLE_ACCOUNT_ADMIN') or is_granted('ROLE_CONFIGURATOR') or is_granted('ROLE_PROPERTY_PROVIDER') %}
                    <li class="nav-item d-flex align-items-center  me-0 me-lg-1">
                        <a href="#" data-coreui-toggle="dropdown" aria-expanded="false" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon {% if activeNavGroup is defined and activeNavGroup == 'configuration' %}text-secondary{% else %}text-primary{% endif %} position-relative">
                            <div class="mdc-icon-button__ripple"></div>
                            <i class="material-icons">settings</i>
                        </a>
                        <ul class="dropdown-menu">
                            {% if is_granted('ROLE_ACCOUNT_ADMIN') or is_granted('ROLE_CONFIGURATOR') %}
                                <li><a href="{{ path('configuration_basic_settings_account_data') }}" class="dropdown-item d-flex align-items-center">Grundeinstellungen</a></li>
                                {% if is_granted('ROLE_ACCOUNT_ADMIN') %}
                                    <li><a href="{{ path('configuration_internal_account_user_overview') }}" class="dropdown-item d-flex align-items-center">Benutzer:innen</a></li>
                                {% endif %}
                                <li><a href="{{ path('configuration_property_vacancy_reporter_general') }}" class="dropdown-item d-flex align-items-center">Leerstandsmelder</a></li>
                                <li><a href="{{ path('configuration_looking_for_property_request_reporter_general') }}" class="dropdown-item d-flex align-items-center">Gesuchsmelder</a></li>
                                {% if is_granted('ROLE_ACCOUNT_ADMIN') %}
                                    <li><a href="{{ path('configuration_business_location_area_map') }}" class="dropdown-item d-flex align-items-center">Geschäftslagen</a></li>
                                    <li><a href="{{ path('configuration_document_template_overview') }}" class="dropdown-item d-flex align-items-center">Dokumentenvorlagen</a></li>
                                    <li><a href="{{ path('configuration_survey_result_overview') }}" class="dropdown-item d-flex align-items-center">Umfrageergebnisse</a></li>
                                {% endif %}
                                <li><a href="{{ path('configuration_open_immo_ftp_credentials_overview') }}" class="dropdown-item d-flex align-items-center">OpenImmo-Export</a></li>
                            {% endif %}
                            {% if is_granted('ROLE_PROPERTY_PROVIDER') %}
                                <li><a href="{{ path('configuration_open_immo_interface_ftp_user') }}" class="dropdown-item d-flex align-items-center">OpenImmo-Schnittstelle</a></li>
                            {% endif %}
                        </ul>
                    </li>
                {% endif %}

                <li class="nav-item d-flex align-items-center  me-0 me-lg-1">
                    <a href="#" data-coreui-toggle="dropdown" aria-expanded="false" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon {% if activeNavGroup is defined and activeNavGroup == 'accountUser' %}text-secondary{% else %}text-primary{% endif %} position-relative">
                        <div class="mdc-icon-button__ripple"></div>
                        <i class="material-icons">account_circle</i>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="{{ path('account_user_base_data') }}" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">person</i>Meine Daten</a></li>
                        <li><a href="{{ path('logout') }}" class="dropdown-item d-flex align-items-center"><i class="material-icons-outlined me-2 text-secondary">exit_to_app</i>Abmelden</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </header>
    <div class="body flex-grow-1 d-flex flex-row">
        <div class="sidebar bg-primary" id="collapseSidebar">
            <ul class="sidebar-nav">
                {% include 'base/sidebar_item/my_dashboard.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/property_vacancy_management.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/company_location_management.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/notification.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/report.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/person_management.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
                {% include 'base/sidebar_item/external_user.html.twig' with {'activeNavGroup': (activeNavGroup is defined) ? activeNavGroup : null, 'activeNavItem': (activeNavItem is defined) ? activeNavItem : null} only %}
            </ul>
        </div>
        <div id="contentWrapper" class="d-flex flex-column flex-grow-1">
            <main class="position-relative flex-grow-1 d-flex flex-column">
                <div class="main-header-container">
                    {% block mainHeader %}
                    {% endblock %}
                    <div class="bg-white">
                        {% block tabBar %}
                        {% endblock %}
                    </div>
                    {% block messageBox %}
                        <div id="message-box" class="alert d-none" role="alert"></div>
                    {% endblock %}
                    {% block headerNotifications %}
                        {% for message in app.flashes('dataSaved') %}
                            <div id="information-box" class="alert alert-success mb-0" role="alert">
                                {{ message }}
                            </div>
                        {% endfor %}
                        {% for message in app.flashes('dataDeleted') %}
                            <div id="information-box" class="alert alert-warning mb-0" role="alert">
                                {{ message }}
                            </div>
                        {% endfor %}
                        {% for message in app.flashes('dataError') %}
                            <div id="information-box" class="alert alert-danger mb-0" role="alert">
                                {{ message }}
                            </div>
                        {% endfor %}
                    {% endblock %}
                </div>
                {% block main %}
                {% endblock %}
            </main>
            <footer class="footer py-4 small" style="background-image: url({{ asset('build/images/lean-icon-white-trimmed.png') }});background-position: right;background-repeat: no-repeat;background-size: contain;">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6 col-lg-5">
                            <b>LeAn®</b><br>
                            <small>
                                Leerstands- und Ansiedlungsmanagementplattform<br>
                                {{ operatorAccount.getName() }}
                            </small>
                        </div>
                        <div class="col-md-6 col-lg-5 mt-3 mt-md-0">
                            {% if hosting_provider_name is not empty %}
                                <b>Hosted by {{ hosting_provider_name }}</b><br>
                                <span>
                                    {% if hosting_provider_phone_number is not empty %}
                                        Tel.: <a href="tel: {{ hosting_provider_phone_number }}">{{ hosting_provider_phone_number }}</a><br>
                                    {% endif %}
                                    {% if hosting_provider_email is not empty %}
                                        E-Mail: <a href="mailto: {{ hosting_provider_email }}">{{ hosting_provider_email}}</a>
                                    {% endif %}
                                </span>
                            {% endif %}
                        </div>
                        <div class="col-md-6 col-lg-2 mt-3 mt-lg-0">
                            <a href="{{ path('imprint') }}">Impressum</a><br>
                            <a href="{{ path('privacy_policy_provider') }}">Datenschutz</a><br>
                            <a href="{{ path('gtc_provider') }}">AGB</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
</div>

{% block javascripts %}
    {{ encore_entry_script_tags('app') }}
{% endblock %}

</body>
</html>
